Subject: New Amber speed record + PC timing

From: [email-masked] (Bill Ross )
Date: Mon, 26 Sep 1994 13:07:14 -0700

>From time to time in the past I have sent my latest benchmarks
for Amber (molecular mechanics) when a new machine breaks the
speed record. The last 2 times it seesawed between supercomputer
makers Cray and Fujitsu. Now, thanks to parallelism and the
latest hot chip (SGI shared memory), we have a workstation that 
beats the supercomputers on raw speed.  Some parallel results for 
Charmm on a variety of machines can also be found at 
http://www.ki.si/parallel.html. 

We are now working on MPI/PVM/TCGMSG/.. message-passing parallelism 
for the upcoming 4.1 release of Amber. I wouldn't be surprised if
there was also a Cray shared memory version for 4.1.

Apropos of questions on this list about molecular calculations on 
PCs - I include timings for a 486 machine running DOS, courtesy
of Cezary Czaplewski of the University of Gdansk, Poland.

Other benchmark news: Amber has been proposed for evaluation to
be included in the SPEC benchmark suite.

The writeup of the benchmarks is somewhat abbreviated, since I
have sent the whole thing to the list before. See the archives
or email me for all the text, and numbers for all machines covered.

Bill Ross

		Molecular Mechanics/Dynamics Benchmarks
			     Amber 4.0 

All times are CPU seconds measured by system calls in the programs.
These are single observations.
Note: benchmarks supplied by manufacturers are indicated by a leading
'-' in the margin.

		dna/Run.bench			      dna/Run.bench2

	   DNA hexamer in periodic 	        68 DNA base pairs in vacuum.
	   water box, constant volume.	        4282 atoms, 10A cutoff on all
	   7682 atoms: 274 dna, 10 	        nonbonded pairs. Distance-
	   counterions, 2466 waters.		dependent dielectric.
	   All solute interactions;
	   8A cutoff otherwise. Constant
	   dielectric.
	   ______________________________        ______________________________
	   min	      min+md	  sander                sander          gibbs
					           min         md
	   ______________________________        ______________________________

Cray
C90          - /49      - /56      - /57           - /25     - /25       59

Fujitsu
VP2200	     52/54      62/64      63/64           26/24     26/25       92

SGI
[machine.Ncpu; TFP is PowerChallenge]
-TFP.1       81/85      91/96      91/96           58/58     58/57      104
-TFP.2       45/47      50/53      49/51           34/34     34/32       70
-TFP.4       26/28      29/31      28/29           19/19     19/18       52
Chall150.01 226/283    218/306    213/290         155/196   158/200     328
Chall150.02 114/153    149/165    117/162          90/110    91/114     187
Chall150.04  62/86      68/91      93/89           46/59     47/68      125

Some other (single processor) workstations for comparison
HP
735	    173/172    197/193    216/190	  112/109   109/106     186

DEC-alpha
3000/500vms 232/275    249/294    247/286         154/191   151/191     258

rs6000
560         376/347    400/372    405/399

PC/DOS result from Cezary Czaplewski, University of Gdansk:

PC486dx2.66  - /2282    - /2392    - /2328
(256Kb cache) with 16Mb RAM. NDP-Fortran-486

PROGRAM NOTES

Run.bench
    min: 	100 steps minimization
    minmd: 	20 steps min, 80 steps md
    sander: 	100 steps gradual warming
Run.bench2
    sander/min: 100 steps minimization
    sander/md:  100 steps gradual warming
    gibbs:	100 steps of dynamic windows perturbation (double-wide sampling)
		note: gibbs4 does not have vectorization directives
		note: gibbs4 is double precision

Note: The minmd program contains the traditional energy minimization and
molecular dynamics capabilities of Amber. Sander is essentially the same, 
as used here. (Both programs have significant other features which are not 
exercised by the benchmarks.) Gibbs is the Amber free energy perturbation 
program.

--